using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class WakeUpPlatform : MonoBehaviour {

	void OnTriggerEnter(Collider col) {
        if(col.CompareTag("Fan")) {
            col.GetComponent<Animator>().SetBool("Wave",true);
            col.GetComponent<Renderer>().material.color = Color.white;
        }
    }

    void OnTriggerExit(Collider col) {
        if(col.CompareTag("Fan")) {
            col.GetComponent<Animator>().SetBool("Wave",false);
            col.GetComponent<Renderer>().material.color = new Color(0.5f,0.5f,0.5f,1f);
        }
    }
}
